using System;
//using Visma.Core.Deployment.Target.Validator;
using System.Windows.Forms;
//using Visma.Core.Deployment.Target.Validator.Extensions;
using Visma.Services.PlatformValidator.Core;
using Visma.Services.PlatformValidator.Core.Extensions;
using Visma.Services.OPGateway.Shared;

public class OsVersion: IssueExtension
{
    public override IssueState Detect(IssueExtensionArgument arg)
    {

        arg.Reporter.Log(GetText("OS") + OSUtil.OSName());
        string osName = OSUtil.Name;
        arg.Reporter.Log(" " + osName);
        if (OSUtil.CheckSupportedVersionFreshInstall())
        {
            arg.Reporter.Log(GetText("OSOK"));
            if (NetFrameworkUtil.IsRequiredVersionInstalled())
            {
				return IssueState.Success;
            }
        }
        arg.Reporter.Warn(GetText("OSNOK"));
        return IssueState.Failed;
    }

}
