using System;
using System.Collections.Generic;
using System.Text;
//using Visma.Core.Deployment.Target.Validator;
//using Visma.Core.Deployment.Target.IPC;
using System.Windows.Forms;
//using Visma.Core.Deployment.Target.Validator.Extensions;
using System.Net;
using Visma.Services.OPGateway.Shared;
using Visma.Services.PlatformValidator.Core;
using Visma.Services.PlatformValidator.Core.Extensions;

public class CheckElevated: IssueExtension
{

   public override IssueState Detect(IssueExtensionArgument arg)
   {
      
       try
       {

           bool bRetVal = OSUtil.IsUserAdministrator();

           if (bRetVal)
           {
               arg.Reporter.Log(GetText("ElevatedOK"));
               return IssueState.Success;
           }
           else
           {
               arg.Reporter.Log(GetText("ElevatedNOK"));
               return IssueState.Failed;
           }

       }
       catch(Exception ex)
       {
           arg.Reporter.Warn(ex.ToString());
           return IssueState.Unresolved;
       }

      //if ( arg.AllowGui )
      //{
      //   // We're allowed to show a GUI - if you do, use arg.ParentWindow as parent window
      //}
      
      //if ( arg.DoRepair )
      //{
      //   // Platform Validator wants us to repair - try to do so.
      //}

      //arg.Reporter.Log( "Hello world from Template" );
      //arg.Reporter.Warn(GetText("DemoText"));			// for localization - DemoText refers to text in Xml-file



      //// Return one of the following
      //return IssueState.NotRelevant;	// This issue is not relevant - Will not be shown in issue listy
      //return IssueState.Unresolved;	// Unable to evaluate whether the issue is a problem or not
      //return IssueState.Failed;		// The issue is a problem -  icon in list
      //return IssueState.Success;	// The issue is not a problem - green icon in list
   }
}
